Bug 613786 - SELinux is preventing /usr/sbin/prelink "getattr" access on /lib/udev/devices/net/tun.
SELinux is preventing /usr/sbin/prelink "getattr" access on /lib/udev/de...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:13f25d06bf0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 16:01 EDT by Carl G.
Modified: 2010-07-29 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 12:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl G. 2010-07-12 16:01:41 EDT
Summary:

SELinux is preventing /usr/sbin/prelink "getattr" access on
/lib/udev/devices/net/tun.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by prelink. It is not expected that this access
is required by prelink and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:prelink_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /lib/udev/devices/net/tun [ chr_file ]
Source                        prelink
Source Path                   /usr/sbin/prelink
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           prelink-0.4.3-3.fc14
Target RPM Packages           udev-158-2.fc14
Policy RPM                    selinux-policy-3.8.6-1.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-0.31.rc4.git4.fc14.x86_64
                              #1 SMP Fri Jul 9 01:20:58 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sun 11 Jul 2010 03:17:58 AM EDT
Last Seen                     Mon 12 Jul 2010 03:41:08 PM EDT
Local ID                      dabf5b24-734e-4fca-b9d6-f483d5c807e8
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278963668.519:28749): avc:  denied  { getattr } for  pid=4452 comm="prelink" path="/lib/udev/devices/net/tun" dev=dm-2 ino=933052 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1278963668.519:28749): arch=c000003e syscall=262 success=yes exit=0 a0=7 a1=f85c53 a2=7fff59f8fe30 a3=100 items=0 ppid=4443 pid=4452 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="prelink" exe="/usr/sbin/prelink" subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,prelink,prelink_t,lib_t,chr_file,getattr
audit2allow suggests:

#============= prelink_t ==============
allow prelink_t lib_t:chr_file getattr;
Comment 1 Daniel Walsh 2010-07-29 12:34:28 EDT
Fixed in selinux-policy-3.8.8-8.fc14

Note You need to log in before you can comment on or make changes to this bug.